HYPER-V(4)

NAME
hv_netvsc - Hyper-V Network Virtual Service Consumer

SYNOPSIS
To compile this driver into the kernel, place the following lines in the system kernel configuration file:

device hyperv

DESCRIPTION
The hv_netvsc driver implements the virtual network device for FreeBSD guest partitions running on Hyper-V. FreeBSD guest partitions running on Hyper-V do not have direct access to network devices attached to the Hyper-V server. Although a FreeBSD guest can access network devices using Hyper-V's full emulation mode, the performance in this mode tends to be unsatisfactory.

To counter the above issues, the hv_netvsc driver implements a network Virtual Service Consumer (VSC) that relays network requests from the guest partition to the network Virtual Service Provider (VSP) hosted in the root partition using the high performance data exchange infrastructure provided by hv_vmbus(4) driver. The VSP in the root partition then forwards the network related requests to the physical network card.

SEE ALSO
hv_ata_pci_disengage(4), hv_storvsc(4), hv_utils(4), hv_vmbus(4)

HISTORY
Support for hv_netvsc first appeared in FreeBSD 10.0. The driver was developed through a joint effort between Citrix Incorporated, Microsoft Corporation, and Network Appliance Incorporated.

AUTHORS
-nosplit FreeBSD support for hv_netvsc was first added by Microsoft BSD Integration Services Team <bsdic@microsoft.com>.